Results 1 to 3 of 3

Thread: some issues anter dist-upgrade

  1. #1
    Junior Member
    Join Date
    Dec 2016
    Posts
    20

    some issues anter dist-upgrade

    Hi guys,

    After apt-get dist-upgrade I get this:

    Configure packet linux-image-4.9.0-kali3-armmp (4.9.13-1kali2) ...
    I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.9.0-kali2-armmp
    I: /initrd.img.old is now a symlink to boot/initrd.img-4.9.0-kali2-armmp
    I: /vmlinuz is now a symlink to boot/vmlinuz-4.9.0-kali3-armmp
    I: /initrd.img is now a symlink to boot/initrd.img-4.9.0-kali3-armmp
    /etc/kernel/postinst.d/initramfs-tools:
    update-initramfs: Generating /boot/initrd.img-4.9.0-kali3-armmp
    cryptsetup: WARNING: failed to detect canonical device of /dev/mmcblk0p2
    cryptsetup: WARNING: could not determine root device from /etc/fstab
    What is wrong?

  2. #2
    Junior Member
    Join Date
    Mar 2017
    Posts
    3
    Trry it

    apt-get autoclean

    apt-get update && apt-get upgrade -y && apt-get dist-upgrade

  3. #3
    Junior Member
    Join Date
    Apr 2016
    Posts
    4
    I've got the exact same issue. I installed and encrypted kali on the hard drive of my laptop and after running apt-get update, apt-get upgrade everything seems to have worked, I just have the same warning about cryptseyup...

    Anyway I've been googling this all day so if someone could clear this up that would be a big help... is it simply a matter of updating the conf-hook file so it has the cryptsetup variable and the correct value?? (sorry if I'm way off)
    I'm worried that if I ignore this I won't be able to get back into my system

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •